using System;
using System.Windows.Forms;
//-------------------------------------
using Stimulsoft.Report;

namespace MyReport
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void stiViewerControl1_Close(object sender, EventArgs e)
        {
            this.Close();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            stiViewerControl1.Close += new System.EventHandler(stiViewerControl1_Close);
            stiViewerControl1.SetZoom(75);
            
            StiReport report = new StiReport();
            this.Cursor = Cursors.WaitCursor;
            report.Load("Report.mrt");
            report.Render();
            stiViewerControl1.Report = report;
            this.Cursor = Cursors.Default;
        }
    }
}